/* ***************************************************************** */
/* * OMEGAMON XE for DB2 on z/OS v5.5.0                            * */
/* ***************************************************************** */
/* * REASON  RLSE DATE   ORIGIN DESCRIPTION                        * */
/* * TEC      420 081608    SUK update SITINFO for severity        * */
/* * PK78018  410 090126    SUK update KDP_MDBT description        * */
/* * PM07260  420 100315    Suk add percent log available and      * */
/* *                            DBAT approaching CONDBAT           * */
/* * PK45140  410 011008    SUK Fix formula for situation          * */
/* *                            DB2_CF_Structure_Use_Critical,     * */
/* *                            DB2_CF_Structure_Use_Warning,      * */
/* *                            KD5_IDBC_Warning,                  * */
/* *                            KD5_TCPU_Warning, and              * */
/* *                            KD5_CPU_Time_Warning               * */
/* * DE892    520 100311    SUK IMCN and IMND are mixed up         * */ 
/* * CR42-304 511 011212    SMW distribute heartbeat situation to  * */
/* *                            MVS_DB2 with autostart yes         * */
/* *                            remove TOBJACCL with *HUB as not   * */
/* *                            needed anymore                     * */
/* * v530      530 012815   SMW added advise for                   * */
/* *                            DB2_CF_Connections_Warning         * */
/* *                            DB2_CF_Structure_Use_Critical      * */
/* *                            DB2_CF_Structure_Use_Warning       * */
/* *                            DB2_CMD_Connection_Failed          * */
/* *                            DB2_CMD_Group_BP_READ_Hit_Warn     * */
/* *                            DB2_CMD_Lock_Wait_Time_Critical    * */
/* *                            DB2_CMD_Thrd_Wait_Time_Critical    * */
/* *                            DB2_Group_BP_Read_Hit_Critical     * */ 
/* *                            DB2_Group_BP_Read_Hit_Warning      * */
/* *                            DB2_Lock_Waiter_Time_Critical      * */
/* *                            DB2_Lock_Waiter_Time_Warning       * */
/* *                            DB2_Thread_Wait_Time_Critical      * */
/* *                            DB2_Thread_Wait_Time_Warning       * */
/* *                            Add advise update for globalization* */
/* * IDAA      540 051316   SMW Added IDAA situations              * */
/* *                            Replace QIBCLASSID KDP_ to 5140    * */
/* *                            to fix Error: Failed to resolve    * */ 
/* *                            object name for EIB notification   * */
/* * V540      540 091716   SMW globalization updates              * */   
/* * V540      540 051321   SMW added PPT cancel thd take action   * */
/* * V550      550 062822   ROZ V550 Globalization                 * */
/* ***************************************************************** */
/* ***************************************************************** */
/* * CR42-304                                                      * */
/* * V520 distribute heartbeat situation to MVS_DB2 with autostart * */
/* * yes                                                           * */
/* ***************************************************************** */
   
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Plex_Heartbeat";

DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = 'DB2_Plex_Heartbeat';

DELETE FROM O4SRV.SITDB
       WHERE RULENAME = "DB2_Plex_Heartbeat______________";

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   QIBCLASSID ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*MVS_DB2",                                              /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "5535",                                             /* QUBCLASSID */
   "DB2_Plex_Heartbeat"                                   /* OBJNAME */
  );
   

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
  )
VALUES
  ("DB2_Plex_Heartbeat",                                  /* SITNAME */
   "",                                                     /* ADVICE */
   "0020000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                 /* AUTOSOP */
   "*YES",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020403235959000",                                    /* LSTDATE */
   "V520",                                             /* LSTRELEASE */
   "BUILD",                                             /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "5140",                                             /* QIBCLASSID */
   "I",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEF_TIME */
   "",                                                   /* REFLEXOK */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Heartbeat situation to detect DB2 data sharing groups",  /* TEXT */
   "*IF  *VALUE DB2plex_Filter.Group_Or_Subsystem_Name *EQ *NOFETCH"
  );
  

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Connections_Warning";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Structure_Use_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Structure_Use_Warning";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Connection_Failed";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Group_BP_READ_Hit_Warn";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Lock_Wait_Time_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Thrd_Wait_Time_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Group_BP_Read_Hit_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Group_BP_Read_Hit_Warning";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Lock_Waiter_Time_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Lock_Waiter_Time_Warning";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Thread_Wait_Time_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Thread_Wait_Time_Warning";


/*********************************************************************/


UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "DB2_CMD_Connection_Failed";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_DBD_Pool_InUse_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_RDS_Pool_above_Use_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_RDS_Pool_below_Use_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_SKEL_Pool_inUse_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_STMT_Pool_InUse_Pct_High";  

UPDATE O4SRV.TSITDESC 
SET TEXT = "Percentage of maximum DBAT exceeds critical threshold"
WHERE SITNAME = "KDP_MDBT_Critical"; 
      
UPDATE O4SRV.TSITDESC 
SET TEXT = "Percentage of maximum DBAT exceeds warning threshold"
WHERE SITNAME = "KDP_MDBT_Warning"; 

/* ************************************************************* */
/* New situations for PM07260                                    */
/*                                                               */
/* ************************************************************* */
$PARMS("The number of DBAT connections is approaching DSNZPARM CONDBAT. 
When this condition is detected frequently, make sure CONDBAT is defined
 accurately for remote connections.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_CONDBAT_Appr_Max_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1100308125425000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The number of DBAT connections is approaching DSNZPARM CONDBAT",
"*IF  *VALUE DB2_SRM_Subsystem.DBAT_Conn_Utilization *GE 70");


$PARMS("The percentage of active logs available is dropping below the th
reshold.  This is an indication that the log files may be too small. Thi
s exception would happen when logs are being filled up faster then they 
can be archived.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_Percent_Log_Avail_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1100308125425000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The percentage of active logs available is below threshold",
"*IF  *VALUE DB2_SRM_Log_Manager.Percent_Logs_Avail *LT 50");


UPDATE O4SRV.TSITDESC 
SET PDT = "*IF  *VALUE THREAD_DETAILS.CP_CPU_Time *GE 5"
WHERE SITNAME = "KD5_CPU_Time_Warning"; 
    
UPDATE O4SRV.TSITDESC 
SET PDT = "*IF  *VALUE ALL_THREADS.In_DB2_CP_CPU_Time *GE 70"
WHERE SITNAME = "KD5_IDBC_Warning"; 
   
UPDATE O4SRV.TSITDESC 
SET PDT = "*IF  *VALUE ALL_THREADS.CP_CPU_Rate *GE 20"
WHERE SITNAME = "KD5_TCPU_Warning"; 
   
UPDATE O4SRV.TSITDESC 
SET PDT = 
"*IF *VALUE DB2_Group_Coupling_Facility.Structure_Used_Percent
 *GT 90"
WHERE SITNAME = "DB2_CF_Structure_Use_Critical"; 

UPDATE O4SRV.TSITDESC 
SET PDT = 
"*IF *VALUE DB2_Group_Coupling_Facility.Structure_Used_Percent
 *GT 80 *AND *VALUE DB2_Group_Coupling_Facility.Structure_Used_Percent
 *LE 90"
WHERE SITNAME = "DB2_CF_Structure_Use_Warning"; 
   

UPDATE O4SRV.TSITDESC 
SET PDT = 
"*IF  *VALUE DB2_IMS_Regions.Connection_Status *NE Connected"
WHERE SITNAME = "KDP_IMCN_Critical"; 

UPDATE O4SRV.TSITDESC 
SET TEXT = 
"IMS dependent region has failed to connect to DB2"
WHERE SITNAME = "KDP_IMCN_Critical"; 

UPDATE O4SRV.TSITDESC 
SET PDT = 
"*IF  *VALUE DB2_IMS_Connections.Defined_Dependent_Regions *EQ 0"
WHERE SITNAME = "KDP_IMND_Critical"; 
       
UPDATE O4SRV.TSITDESC 
SET TEXT = 
"No IMS dependent regions defined to DB2 for the IMSID"
WHERE SITNAME = "KDP_IMND_Critical"; 

***********************************************************************
* V530 added advise                                                   *
*********************************************************************** 

UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "When a DB2 member abnormally terminates, its connection to the c
oupling facility structures fails (Fail state).  Consult a DB2 system pr
ogrammer to resolve the failure of the coupling facility connection."
WHERE SITNAME = "DB2_CF_Connections_Warning"; 
            
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "The usage of the coupling facility structure is too high. This 
has an impact on the response time and throughput of the data sharing me
mbers. Consult a DB2 system programmer to increase the size of the coupl
ing facility structure."
WHERE SITNAME = "DB2_CF_Structure_Use_Critical"; 
            
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
        "The usage of the coupling facility structure is too high. This 
has an impact on the response time and throughput of the data sharing me
mbers. Consult a DB2 system programmer to increase the size of the coupl
ing facility structure."
WHERE SITNAME = "DB2_CF_Structure_Use_Warning"; 
            
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "When a DB2 member abnormally terminates, its connection to the c
oupling facility structures fails (Fail state).  Consult a DB2 system pr
ogrammer to resolve the failure of the coupling facility connection."
WHERE SITNAME = "DB2_CMD_Connection_Failed"; 
            
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "The percentage of all Reads to the group buffer pool (Read hit 
%) is decreasing.  The purpose of the buffer pool is to try to avoid dis
k I/O.  Your buffer pool is efficient if you have a high hit ratio (idea
lly, over 99%).  You might need to resize your buffer pool or re-balance
 buffer pool usage by moving table spaces to a buffer pool with less usa
ge."
WHERE SITNAME = "DB2_CMD_Group_BP_READ_Hit_Warn"; 
            
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "A thread has been waiting for a resource longer than the critica
l threshold.  You might want to find the resource owner and the owner ap
plication to determine the cause of the long lock wait time and take cor
rective action."
WHERE SITNAME = "DB2_CMD_Lock_Wait_Time_Critical"; 

UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "This thread has been waiting for a resource longer than the cri
tical threshold.  You might want to find the resource owner and the owne
r application to determine the cause of the long lock wait time and take
 corrective action."
WHERE SITNAME = "DB2_CMD_Thrd_Wait_Time_Critical"; 
            
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       " The percentage of all Reads to the group buffer pool (Read hit 
%) is below the threshold. The purpose of the buffer pool is to try to a
void disk I/O.  You might need to resize your buffer pool or re-balance 
buffer pool usage by moving table spaces to a buffer pool with less usag
e."
WHERE SITNAME = "DB2_Group_BP_Read_Hit_Critical"; 
            
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "The percentage of all Reads to the group buffer pool (Read hit 
%) is in a warning threshold. The purpose of the buffer pool is to try 
to avoid disk I/O.  You might need to resize your buffer pool or re-bala
nce buffer pool usage by moving table spaces to a buffer pool with less 
usage. "
WHERE SITNAME = "DB2_Group_BP_Read_Hit_Warning"; 
            
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "A thread has been waiting for a resource longer than the critica
l threshold.  You might want to find the resource owner and the owner ap
plication to determine the cause of the long lock wait time and take cor
rective action."
WHERE SITNAME = "DB2_Lock_Waiter_Time_Critical"; 
            
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "A thread has been waiting for a resource longer than the warning
 threshold.  You might want to find the resource owner and the owner app
lication to determine the cause of the long lock wait time and take corr
ective action."
WHERE SITNAME = "DB2_Lock_Waiter_Time_Warning"; 
                
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "A thread has been waiting for a resource longer than the critica
l threshold.  You might want to find the resource owner and the owner ap
plication to determine the cause of the long lock wait time and take cor
rective action."
WHERE SITNAME = "DB2_Thread_Wait_Time_Critical"; 
                          
UPDATE O4SRV.TSITDESC 
SET ADVISE = 
       "This thread has been waiting for a resource longer than the warn
ing threshold.  You might want to find the resource owner and the owner 
application to determine the cause of the long lock wait time and take c
orrective action."
WHERE SITNAME = "DB2_Thread_Wait_Time_Warning"; 

/*****************************************************************/
/* IDAA Situations added to v540                                 */
/*****************************************************************/
$PARMS("The number of connections that failed when this DB2 system sent 
requests to the accelerator.  Failed requests shouldn't normally occur."
); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDAA_Req_Fail_Warning",
?,
"0020000000000000000000000000000020000008000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1160503122222000",
"V530",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"IDAA failed requests exceeded warning threshold",
"*IF *VALUE Accelerator_Statistics.Total_failed_reqs *GT 2"); 

        
$PARMS("The number of SQL statements sent by all DB2 systems since accel
erator started that were not successfully executed for any reason."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDAA_SQL_Exe_Fail_Warning",
?,
"0020000000000000000000000000000020000008000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1160503122222000",
"V530",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"IDAA SQL execution failed exceeded warning threshold",
"*IF *VALUE Accelerator_Statistics.Queries_faild_to_execute *GT 2"); 

       
   
$PARMS("The accumulated elapsed time spent in the accelerator when execu
ting requests from the DB2 subsystem.  It could be a run-away queries th
at trigger this situation."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDAA_Elap_Time_Warning",
?,
"0020000000000000000000000000000020000008000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1160503122222000",
"V530",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"IDAA accumulated elapsed time exceeded warning threshold",
"*IF *VALUE Accelerator_Statistics.Elapsed_time_in_accel *GT 1800"); 
  
       
$PARMS("The wait time spent in the accelerator when executing requests f
rom the DB2 subsystem. It could be a run-away query that triggers this s
ituation."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDAA_Wait_Time_Warning",
?,
"0020000000000000000000000000000020000008000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1160503122222000",
"V530",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"IDAA wait time spent exceeded warning threshold",
"*IF *VALUE Accelerator_Statistics.Wait_time_in_accelerator *GT 1800"); 
         
  
$PARMS("The Accelerator is not operational. This could be due to planned
 maintenance, network problems or other issues related to the setup of t
he Accelerator."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDAA_Not_Online_Warning",
?,
"0020000000000000000000000000000020000008000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1160503122222000",
"V530",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"IDAA is not online warning",
"*IF *SCAN Accelerator_Statistics.State *NE ONLINE"); 
      
  
$PARMS("There is an issue with replication (incremental update) function
."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDAA_Replic_State_Warning",
?,
"0020000000000000000000000000000020000008000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1160503122222000",
"V530",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"There is an issue with incremental update function warning",
"*IF *SCAN Accelerator_Statistics.Replication_Status *EQ ERROR *OR 
 *SCAN Accelerator_Statistics.Replication_Status *EQ UNKNOWN"); 
       
  
$PARMS("When replication latency too high (5min/300s in this sample), it
 may impact query result correctness as the data on the Accelerator is n
ot current. Note that sporadically high values of this counter might be 
acceptable and the value should be observed for a certain interval of ti
me. If the value constantly increases or stay on an elevated value, this
 indicates a potential problem with the replication setup, that might ha
ve to be tuned."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDAA_Replic_Latency_Warning",
?,
"0020000000000000000000000000000020000008000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1160503122222000",
"V530",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"IDAA replication latency exceeded warning threshold",
"*IF *VALUE Accelerator_Statistics.Replication_latency *GT 300"); 
     
  
$PARMS("Average query wait time greater then n seconds. High query workl
oad impacts query performance. More accelerator capacity might be needed
, bigger model or additional accelerator server. n is customer defined."
); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDAA_Avg_QueueTime_Warning",
?,
"0020000000000000000000000000000020000008000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1160503122222000",
"V530",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"IDAA average query wait time exceeded warning threshold",
"*IF *VALUE Accelerator_Statistics.Avg_Queue_Wait_Time_MS *GT 30"); 


$PARMS("A high number in this counter can be an indication that the acce
lerator is not able to process the scheduled work efficiently as the cur
rent queue length at the accelerator is large. The elements queued can b
e queries, loads, replication and maintenance tasks."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDAA_Queue_Length_Warning",
?,
"0020000000000000000000000000000020000008000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1160503122222000",
"V530",
"SYSADMIN",
"",
"",
"",
"",
"",
"5140",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"IDAA current queue length exceeded warning threshold",
"*IF *VALUE Accelerator_Statistics.Current_queue_len *GT 10"); 
  
/* ************************************************************* */
/* OMPE-5716 cancel thread take action                           */
/* ************************************************************* */  

INSERT INTO O4SRV.CCT
(AFFINITIES ,
CMD ,
DESC ,
ICON ,
KEY ,
NAME ,
RESERVED ,
SECURITY ,
TABLES ,
VERSION
)
VALUES
("%IBM.STATIC017          0000000008000000000" ,  
"&Thread_Detail.KILLTHREAD" ,  
"Cancel Thread in DSG" ,  
" " ,  
"DPCMD001" ,  
"Cancel Thread in DSG" ,  
" " ,  
" " ,  
" " ,  
" "  
);



                          
/* ************************************************************* */
/* New to v410                                                   */
/* Globalization resource identifiers. Attach kdp_tems.sql.append*/
/*                                                               */
/* ************************************************************* */

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373498"
    WHERE SITNAME = "DB2_CF_Connections_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373499"
    WHERE SITNAME = "DB2_CF_Structure_Use_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373500"
    WHERE SITNAME = "DB2_CF_Structure_Use_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373501"
    WHERE SITNAME = "DB2_CMD_Connection_Failed";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373502"
    WHERE SITNAME = "DB2_CMD_Group_BP_READ_Hit_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373503"
    WHERE SITNAME = "DB2_CMD_Lock_Wait_Time_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373504"
    WHERE SITNAME = "DB2_CMD_Thrd_Wait_Time_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373505"
    WHERE SITNAME = "DB2_Group_BP_Read_Hit_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373506"
    WHERE SITNAME = "DB2_Group_BP_Read_Hit_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373507"
    WHERE SITNAME = "DB2_Lock_Waiter_Time_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373508"
    WHERE SITNAME = "DB2_Lock_Waiter_Time_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373509"
    WHERE SITNAME = "DB2_Plex_Heartbeat";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_Plex_Heartbeat";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373510"
    WHERE SITNAME = "DB2_Thread_Wait_Time_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373511"
    WHERE SITNAME = "DB2_Thread_Wait_Time_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373512"
    WHERE SITNAME = "KD5_ARCM_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_ARCM_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373513"
    WHERE SITNAME = "KD5_CPU_Time_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_CPU_Time_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373514"
    WHERE SITNAME = "KD5_CTHD_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_CTHD_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373515"
    WHERE SITNAME = "KD5_DWAT_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DWAT_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373516"
    WHERE SITNAME = "KD5_ETIM_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_ETIM_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373517"
    WHERE SITNAME = "KD5_Fail_Stmt_Percent_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_Fail_Stmt_Percent_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373518"
    WHERE SITNAME = "KD5_GETP_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_GETP_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373519"
    WHERE SITNAME = "KD5_IDBC_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDBC_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373520"
    WHERE SITNAME = "KD5_IDBT_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDBT_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373521"
    WHERE SITNAME = "KD5_INDB_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_INDB_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373522"
    WHERE SITNAME = "KD5_In_DB2_IIP_CPU_Time_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_In_DB2_IIP_CPU_Time_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373523"
    WHERE SITNAME = "KD5_Max_Agent_Overflows_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_Max_Agent_Overflows_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373524"
    WHERE SITNAME = "KD5_Max_Agents_Waiting_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_Max_Agents_Waiting_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373525"
    WHERE SITNAME = "KD5_Process_CPU_Usage_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_Process_CPU_Usage_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373526"
    WHERE SITNAME = "KD5_RCPU_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_RCPU_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373527"
    WHERE SITNAME = "KD5_RIO_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_RIO_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373528"
    WHERE SITNAME = "KD5_Recent_Stmt_ETIM_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_Recent_Stmt_ETIM_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373529"
    WHERE SITNAME = "KD5_Stolen_Agents_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_Stolen_Agents_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373530"
    WHERE SITNAME = "KD5_TCPU_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_TCPU_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373531"
    WHERE SITNAME = "KD5_TRCV_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_TRCV_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373532"
    WHERE SITNAME = "KD5_TSND_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_TSND_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373533"
    WHERE SITNAME = "KD5_WCLM_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_WCLM_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373534"
    WHERE SITNAME = "KD5_WDLK_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_WDLK_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373535"
    WHERE SITNAME = "KD5_WGLK_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_WGLK_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373536"
    WHERE SITNAME = "KD5_WLGQ_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_WLGQ_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373537"
    WHERE SITNAME = "KD5_WSPS_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_WSPS_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373538"
    WHERE SITNAME = "KD5_WSRV_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_WSRV_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373539"
    WHERE SITNAME = "KDP_ARCV_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_ARCV_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373540"
    WHERE SITNAME = "KDP_ARCV_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_ARCV_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373541"
    WHERE SITNAME = "KDP_BMTH_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_BMTH_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373542"
    WHERE SITNAME = "KDP_BMTH_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_BMTH_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373543"
    WHERE SITNAME = "KDP_CICT_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_CICT_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373544"
    WHERE SITNAME = "KDP_CICT_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_CICT_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373545"
    WHERE SITNAME = "KDP_COMT_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_COMT_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373546"
    WHERE SITNAME = "KDP_COMT_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_COMT_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373547"
    WHERE SITNAME = "KDP_DDFS_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_DDFS_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373548"
    WHERE SITNAME = "KDP_DDFS_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_DDFS_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373549"
    WHERE SITNAME = "KDP_DRCV_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_DRCV_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373550"
    WHERE SITNAME = "KDP_DRCV_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_DRCV_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373551"
    WHERE SITNAME = "KDP_DSND_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_DSND_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373552"
    WHERE SITNAME = "KDP_DSND_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_DSND_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373553"
    WHERE SITNAME = "KDP_EDMU_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_EDMU_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373554"
    WHERE SITNAME = "KDP_EDMU_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_EDMU_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373555"
    WHERE SITNAME = "KDP_ENTO_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_ENTO_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373556"
    WHERE SITNAME = "KDP_ENTO_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_ENTO_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373557"
    WHERE SITNAME = "KDP_ENTU_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_ENTU_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373558"
    WHERE SITNAME = "KDP_ENTU_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_ENTU_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373559"
    WHERE SITNAME = "KDP_ENTW_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_ENTW_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373560"
    WHERE SITNAME = "KDP_ENTW_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_ENTW_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373561"
    WHERE SITNAME = "KDP_GTRC_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_GTRC_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373562"
    WHERE SITNAME = "KDP_GTRC_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_GTRC_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373563"
    WHERE SITNAME = "KDP_IDBK_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_IDBK_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373564"
    WHERE SITNAME = "KDP_IDBK_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_IDBK_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373565"
    WHERE SITNAME = "KDP_IDFR_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_IDFR_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373566"
    WHERE SITNAME = "KDP_IDFR_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_IDFR_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373567"
    WHERE SITNAME = "KDP_IMCN_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_IMCN_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373568"
    WHERE SITNAME = "KDP_IMND_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_IMND_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373569"
    WHERE SITNAME = "KDP_INDT_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_INDT_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373570"
    WHERE SITNAME = "KDP_INDT_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_INDT_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373571"
    WHERE SITNAME = "KDP_LKUS_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_LKUS_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373572"
    WHERE SITNAME = "KDP_LKUS_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_LKUS_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373573"
    WHERE SITNAME = "KDP_LOGN_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_LOGN_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373574"
    WHERE SITNAME = "KDP_MCNV_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_MCNV_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373575"
    WHERE SITNAME = "KDP_MCNV_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_MCNV_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373576"
    WHERE SITNAME = "KDP_MDBT_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_MDBT_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373577"
    WHERE SITNAME = "KDP_MDBT_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_MDBT_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373578"
    WHERE SITNAME = "KDP_MDBW_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_MDBW_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373579"
    WHERE SITNAME = "KDP_MDBW_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_MDBW_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373580"
    WHERE SITNAME = "KDP_PGUP_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_PGUP_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373581"
    WHERE SITNAME = "KDP_PGUP_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_PGUP_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373582"
    WHERE SITNAME = "KDP_POLU_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_POLU_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373583"
    WHERE SITNAME = "KDP_POLU_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_POLU_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373584"
    WHERE SITNAME = "KDP_POLW_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_POLW_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373585"
    WHERE SITNAME = "KDP_POLW_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_POLW_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373586"
    WHERE SITNAME = "KDP_PREF_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_PREF_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373587"
    WHERE SITNAME = "KDP_PREF_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_PREF_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373588"
    WHERE SITNAME = "KDP_RELM_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_RELM_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373589"
    WHERE SITNAME = "KDP_RELM_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_RELM_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373590"
    WHERE SITNAME = "KDP_SPAC_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_SPAC_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373591"
    WHERE SITNAME = "KDP_SPAC_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_SPAC_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373592"
    WHERE SITNAME = "KDP_STPE_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_STPE_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373593"
    WHERE SITNAME = "KDP_STPE_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_STPE_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373594"
    WHERE SITNAME = "KDP_SUSL_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_SUSL_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373595"
    WHERE SITNAME = "KDP_SUSL_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_SUSL_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373596"
    WHERE SITNAME = "KDP_THDQ_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_THDQ_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373597"
    WHERE SITNAME = "KDP_THDQ_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_THDQ_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373598"
    WHERE SITNAME = "KDP_TMAX_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_TMAX_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373599"
    WHERE SITNAME = "KDP_TMAX_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_TMAX_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373600"
    WHERE SITNAME = "KDP_TRGD_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_TRGD_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373601"
    WHERE SITNAME = "KDP_TRGD_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_TRGD_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373602"
    WHERE SITNAME = "KDP_TRGE_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_TRGE_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373603"
    WHERE SITNAME = "KDP_TRGE_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_TRGE_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373604"
    WHERE SITNAME = "KDP_UDFE_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_UDFE_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373605"
    WHERE SITNAME = "KDP_UDFE_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_UDFE_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373606"
    WHERE SITNAME = "KDP_UFAC_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_UFAC_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373607"
    WHERE SITNAME = "KDP_UFAC_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_UFAC_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373608"
    WHERE SITNAME = "KDP_UTIS_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_UTIS_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373609"
    WHERE SITNAME = "KDP_VDIO_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_VDIO_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373610"
    WHERE SITNAME = "KDP_VDIO_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_VDIO_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373611"
    WHERE SITNAME = "KDP_VEDR_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_VEDR_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373612"
    WHERE SITNAME = "KDP_VEDR_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_VEDR_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373613"
    WHERE SITNAME = "KDP_VSRV_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_VSRV_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373614"
    WHERE SITNAME = "KDP_VSRV_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_VSRV_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373615"
    WHERE SITNAME = "KDP_VTIO_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_VTIO_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373616"
    WHERE SITNAME = "KDP_VTIO_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_VTIO_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373617"
    WHERE SITNAME = "KDP_VUTL_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_VUTL_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373618"
    WHERE SITNAME = "KDP_VUTL_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_VUTL_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373619"
    WHERE SITNAME = "KDP_WTRE_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_WTRE_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20062341620373620"
    WHERE SITNAME = "KDP_WTRE_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KDP_WTRE_Warning";

/* ************************************************************* */
/* New due to PK36297 (V9 support)                         @mts1 */
/* Globalization resource identifiers. Attach kdp_tems.sql.append*/
/* ************************************************************* */
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200764855541085"
    WHERE SITNAME = "KD5_DBD_Pool_InUse_Pct_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DBD_Pool_InUse_Pct_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200764855541086"
    WHERE SITNAME = "KD5_RDS_Pool_above_Use_Pct_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_RDS_Pool_above_Use_Pct_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200764855541087"
    WHERE SITNAME = "KD5_RDS_Pool_below_Use_Pct_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_RDS_Pool_below_Use_Pct_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200764855541088"
    WHERE SITNAME = "KD5_SKEL_Pool_inUse_Pct_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_SKEL_Pool_inUse_Pct_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200764855541089"
    WHERE SITNAME = "KD5_STMT_Pool_InUse_Pct_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_STMT_Pool_InUse_Pct_High";

/* ************************************************************* */
/* New due to PK57640 (IFCID 225/ IFCID 001)                @mts2 */
/* Globalization resource identifiers. Attach kdp_tems.sql.append*/
/* ************************************************************* */
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471250"
    WHERE SITNAME = "KD5_DB2DBM1_Usage_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DB2DBM1_Usage_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471251"
    WHERE SITNAME = "KD5_DB2MSTR_Usage_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DB2MSTR_Usage_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471252"
    WHERE SITNAME = "KD5_DB2_CPU_Usage_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DB2_CPU_Usage_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471253"
    WHERE SITNAME = "KD5_DBM1_Storage_Usage_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DBM1_Storage_Usage_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471254"
    WHERE SITNAME = "KD5_DSNP001I_Space_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DSNP001I_Space_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471255"
    WHERE SITNAME = "KD5_DSNP007I_Space_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DSNP007I_Space_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471256"
    WHERE SITNAME = "KD5_DSNT375I_Deadlock_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DSNT375I_Deadlock_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471257"
    WHERE SITNAME = "KD5_DSNT376I_Timeout_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DSNT376I_Timeout_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471258"
    WHERE SITNAME = "KD5_DSNT500I_ResUnavail_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DSNT500I_ResUnavail_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471259"
    WHERE SITNAME = "KD5_DSNT501I_ResUnavail_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DSNT501I_ResUnavail_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471260"
    WHERE SITNAME = "KD5_DSNU511I_Recovery_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DSNU511I_Recovery_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471261"
    WHERE SITNAME = "KD5_DSNU548I_Recovery_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DSNU548I_Recovery_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471262"
    WHERE SITNAME = "KD5_DSNU621I_Runstats_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DSNU621I_Runstats_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471263"
    WHERE SITNAME = "KD5_LPAR_CPU_Usage_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_LPAR_CPU_Usage_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471264"
    WHERE SITNAME = "KD5_MVS_Extended_CSA_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_MVS_Extended_CSA_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471265"
    WHERE SITNAME = "KD5_MVS_low_private_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_MVS_low_private_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471266"
    WHERE SITNAME = "KD5_Real_Storage_Usage_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_Real_Storage_Usage_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP200810151471267"
    WHERE SITNAME = "KD5_Storage_Cushion_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_Storage_Cushion_Warning";
 
/* ************************************************************* */
/* V420 - pick up deferred globalization work (Fidelity)   @mts3 */
/* ************************************************************* */
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20082541237491130"
    WHERE SITNAME = "KD5_DBAT_Wait_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DBAT_Wait_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20082541237491131"
    WHERE SITNAME = "KD5_DSMAX_Approach_Max_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_DSMAX_Approach_Max_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20082541237491134"
    WHERE SITNAME = "KD5_LOCK_ESCAL_EXCL_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_LOCK_ESCAL_EXCL_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20082541237491136"
    WHERE SITNAME = "KD5_RID_Fallback_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_RID_Fallback_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP20082541237491137"
    WHERE SITNAME = "KD5_Wait_Time_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_Wait_Time_Warning";

/* ************************************************************* */
/* V520 - Globalization additions for V520          @MAM         */
/* ************************************************************* */
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP2013203145821000"
    WHERE SITNAME = "KD5_CONDBAT_Appr_Max_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_CONDBAT_Appr_Max_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP2013203145821001"
    WHERE SITNAME = "KD5_Percent_Log_Avail_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_Percent_Log_Avail_Warning";

/* ************************************************************* */
/* V530 - Globalization additions for V530          @MAM         */
/* ************************************************************* */
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_Lock_Waiter_Time_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_CF_Connections_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_CF_Structure_Use_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_CF_Structure_Use_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_CMD_Connection_Failed";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_CMD_Group_BP_READ_Hit_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_CMD_Lock_Wait_Time_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_CMD_Thrd_Wait_Time_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_Group_BP_Read_Hit_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_Group_BP_Read_Hit_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_Lock_Waiter_Time_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_Thread_Wait_Time_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "DB2_Thread_Wait_Time_Warning";


/* ************************************************************* */
/* V540 - Globalization additions for V540          @SMW         */
/* ************************************************************* */
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP201626005001000"
    WHERE SITNAME = "KD5_IDAA_Avg_QueueTime_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDAA_Avg_QueueTime_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP201626005001001"
    WHERE SITNAME = "KD5_IDAA_Elap_Time_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDAA_Elap_Time_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP201626005001002"
    WHERE SITNAME = "KD5_IDAA_Not_Online_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDAA_Not_Online_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP201626005001003"
    WHERE SITNAME = "KD5_IDAA_Queue_Length_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDAA_Queue_Length_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP201626005001004"
    WHERE SITNAME = "KD5_IDAA_Replic_Latency_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDAA_Replic_Latency_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP201626005001005"
    WHERE SITNAME = "KD5_IDAA_Replic_State_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDAA_Replic_State_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP201626005001006"
    WHERE SITNAME = "KD5_IDAA_Req_Fail_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDAA_Req_Fail_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP201626005001007"
    WHERE SITNAME = "KD5_IDAA_SQL_Exe_Fail_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDAA_SQL_Exe_Fail_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kdp:KDP201626005001008"
    WHERE SITNAME = "KD5_IDAA_Wait_Time_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kdp:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KD5_IDAA_Wait_Time_Warning";
/* ************************************************************* */
/* V550 - Globalization additions for V550          @ROZ         */
/* ************************************************************* */
UPDATE O4SRV.CCT
    SET DESC = "Kdp:KDP202216534271429"
    WHERE NAME = "Cancel Thread in DSG";


           


